var FindProxyForURL = (() => {
  var torEndpoint = 'SOCKS5 localhost:9050';
  var onionTester = /\.onion$/i;
  var blockedTester = /^-$/; // nothing is blocking
  return (url, host) => {
    if (onionTester.test(host)) {
      return torEndpoint;
    }
    if (blockedTester.test(host)) {
      return torEndpoint;
    }
    return 'DIRECT';
  };
})();
